/*
 *========================================================================
 *
 *   시스템명 : AZN_PLAZA_LANE APP
 *   파 일 명 : task_info.h
 *   작 성 자 : JBY
 *   작 성 일 : 2018.07.13
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/


#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdlib.h>
#include <unistd.h>

#include "app_info.h"
#include "task_info.h"
#include "iis_func.h"
int        shmid;
SYS_INFO     *system_info;
int        my_tid;
#if 0
void init_task(tid, argc, argv, env)
int tid, argc;
char **argv, **env;
#else
void inti_task(int tid)
#endif
{
    shmid = shmget(KEY_INIT(), sizeof(SYS_INFO),IPC_PERM);
    
    if(shmid<0)
    {   
        proc_log("TASK ABORT: CANNOT GET SYS_INFO\n");
        exit(1);
    }
    system_info = (SYS_INFO *)shmat(shmid,(char*)0,0);
    
    system_info->task_info[tid].proc_id = getpid();
    system_info->task_info[tid].act = TASK_RUN;

    my_tid = tid;
}

void quit_task(tid)
int tid;
{
    system_info->task_info[tid].proc_id = getpid();
    system_info->task_info[tid].act = TASK_STOP;
    shmdt((char *)system_info);

    exit(0);
}
